# $Revision: 1.9 $, $Date: 2008/12/13 00:04:50 $
#
# Conditional build:
%bcond_with	tests		# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Plugin-Session-Store-DBI
Summary:	Catalyst::Plugin::Session::Store::DBI - Store your sessions in a database
Summary(pl.UTF-8):	Catalyst::Plugin::Session::Store::DBI - przechowywanie sesji w bazie danych
Name:		perl-Catalyst-Plugin-Session-Store-DBI
Version:	0.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Catalyst/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fda0bc9f14049e375921dbf36e7fbb25
URL:		http://search.cpan.org/dist/Catalyst-Plugin-Session-Store-DBI/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst >= 5.49
BuildRequires:	perl-Catalyst-Plugin-Session >= 0.05
BuildRequires:	perl-DBI
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This storage module will store session data in a database using DBI.

%description -l pl.UTF-8
Ten moduł przechowuje dane sesji w bazie danych przy użyciu DBI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -we 'WriteMakefile(NAME=>"Catalyst::Plugin::Session::Store::DBI")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/Plugin/Session/Store/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Plugin-Session-Store-DBI.spec,v $
Revision 1.9  2008/12/13 00:04:50  radek
- version 0.13

Revision 1.8  2008-02-23 14:22:20  radek
- version 0.12

Revision 1.7  2007/03/31 19:38:14  qboosh
- BR: perl-Module-Build

Revision 1.6  2007/03/23 11:16:35  radek
- updated perl-Catalyst-* to newest versions

Revision 1.5  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.3  2006/02/02 21:52:34  migo
- up to 0.06

Revision 1.2  2005/11/19 14:00:31  qboosh
- pl, generic URL

Revision 1.1  2005/11/18 19:36:37  migo
- initial revision
